/**
 * Super IsoBomb
 *
 * Authors: Jim Clase, Jonathan Hilliker, Jason Winnebeck
 */

#ifndef _CHARACTERPROPS_H_
#define _CHARACTERPROPS_H_

// Maximums for the props
#define MAX_SPEED       6.0f
#define MAX_HP          5
#define MAX_POWER       2.0f
#define MAX_HOMING      9
#define MAX_BOMBS       9

/**
 * Properties for the characters.
 */
struct CharacterProps {
    /**
     * How fast the character walks.
     */
    float speed;

    /**
     * Hit points.
     */
    int hp;

    /**
     * The maximum amount of bombs a character can throw.
     */
    int maxBombs;

    /**
     * The radius of the blast left when a bomb explodes.
     */
    float blastSize;

    /**
     * The amount of time between when a bomb is laid and its explosion.
     */
    float detonationDelay;

    /**
     * The maximum amount of throwing power.
     */
    float maxPower;

    /**
     * How fast the power bar charges.
     */
    float powerRate;
    
    /**
     * How many homing bombs the player has available.
     */
    int numHoming;

    /**
     * The speed of homing bombs.
     */
    float homingSpeed;

};

#endif