/**
 * Super IsoBomb
 *
 * Authors: Jim Clase, Jonathan Hilliker, Jason Winnebeck
 */

#ifndef _CONTROLLER_H_
#define _CONTROLLER_H_

#include "Character.h"

/**
 * Controls a character.
 */
class Controller {

public:

    /**
     * Default constructor
     */
    Controller();

    /**
     * Constructor
     *
     * @param c                 the character to control
     */
    Controller( Character* c );

    /**
     * Destructor
     */
    ~Controller();

    /**
     * Control the character attached to this controller.
     *
     * @param dt                the amount of time since the last frame
     */
    virtual void control( float dt ) = 0;

protected:

    /**
     * The character to control.
     */
    Character* character;

};

#endif