/**
 * Super IsoBomb
 *
 * Authors: Jim Clase, Jonathan Hilliker, Jason Winnebeck
 */

#include "IsoBomb.h"
#include "EndGame.h"
#include "Game.h"
#include "ConfigFile.h"

float EndGame::defaultTimeToReset = 5.0f;

void EndGame::initTimeToReset( ConfigFile& f ) {
    f.getVar( "EndGame", "timeToReset", defaultTimeToReset, 5.0f );
}

EndGame::EndGame() : timeLeft( defaultTimeToReset ) {
}

EndGame::EndGame( float timeToReset ) : timeLeft( timeToReset ) {
}

EndGame::~EndGame() {
}

bool EndGame::update( float dt ) {
    timeLeft -= dt;

    if ( timeLeft <= 0.0f ) {
        g_game->resetMap();
    }

    return ( timeLeft <= 0.0f );
}
