/**
 * Super IsoBomb
 *
 * Authors: Jim Clase, Jonathan Hilliker, Jason Winnebeck
 */

#include "Explosion.h"

Explosion::Explosion() : height(-1.0f) {

}

Explosion::Explosion( const Rect& initPos, float initHeight ) : 
    Entity(initPos, 1), height(initHeight) {

    anim.setScaleFactor( 2.00f );
    anim.setOffsets( 48, 64);
    anim.setUsingAlpha( true );
    anim.setAlphaBlendSpeed( 1.0 );
    anim.setAnimationFrames(g_am->getExplosionAnimationFrames());
    anim.setAnimRuntime( 0.5f );
    anim.start();
    
}

Explosion::~Explosion() {

}

bool Explosion::update( float dt ) {
    anim.update( dt );

    if( anim.isAnimStopped() )
        return true;
    else 
        return false;
}

void Explosion::draw( const Point& anchor ) {    
    anim.draw( anchor );
}

float Explosion::getHeight() const {
	return height;
}

void Explosion::setScaleSize( float s ) {
	anim.setScaleFactor( s );
}

void Explosion::setOffsets( int x, int y ) {
	anim.setOffsets( x, y );
}