/**
 * Super IsoBomb
 *
 * Authors: Jim Clase, Jonathan Hilliker, Jason Winnebeck
 */

#include "IsoBomb.h"
#include "Game.h"
#include "RespawnEntity.h"

RespawnEntity::RespawnEntity( Entity* ent, float timeToRespawn )
: ent(ent), timeLeft( timeToRespawn ) {
    assert( ent != NULL );
}

RespawnEntity::~RespawnEntity() {
    delete ent;
}

bool RespawnEntity::update( float dt ) {
    timeLeft -= dt;

    if ( timeLeft <= 0.0f ) {
        assert( ent != NULL );
        g_game->addEntity( ent );
        ent = NULL;
    }

    return ( ent == NULL );
}
