/**
* Super IsoBomb
*
* Authors: Jim Clase, Jonathan Hilliker, Jason Winnebeck
*/

#include "IsoBomb.h"
#include "Vector3D.h"
#include "Point3D.h"

void Vector3D::initRect( float magx, float magy, float magz ) {
    this->magx = magx;
    this->magy = magy;
    this->magz = magz;
}

void Vector3D::initSphere( float r, float theta, float phi ) {
    magx = r * (float)(sin( phi ) * cos( theta ));
    magy = r * (float)(sin( phi ) * sin( theta ));
    magz = r * (float)cos( phi );
}

void Vector3D::mult( float scalar ) {
    magx *= scalar;
    magy *= scalar;
    magz *= scalar;
}

void Vector3D::multX( float scalar ) {
    magx *= scalar;
}

void Vector3D::multY( float scalar ) {
    magy *= scalar;
}

void Vector3D::multZ( float scalar ) {
    magz *= scalar;
}

void Vector3D::add(const Vector3D& other) {
    magx += other.magx;
    magy += other.magy;
    magz += other.magz;
}

Vector3D& Vector3D::operator += ( const Vector3D& rhs ) {
    add( rhs );
    return *this;
}
